[PATCH 1/2] fwts-collect: make sure we are executing as root or with sudo
Chris Van Hoof
vanhoof at canonical.com
Wed Aug 29 15:07:08 UTC 2012
Signed-off-by: Chris Van Hoof <vanhoof at canonical.com>
---
scripts/fwts-collect | 8 ++++++++
1 file changed, 8 insertions(+)
diff --git a/scripts/fwts-collect b/scripts/fwts-collect
index d6e748f..0b5838a 100755
--- a/scripts/fwts-collect
+++ b/scripts/fwts-collect
@@ -22,6 +22,14 @@ TMPDIR=/tmp/fwts.$$
FWTS=`which fwts`
#
+# Check if executed as root or with sudo
+#
+if [ $EUID -ne 0 ]; then
+ echo "`basename $0`: must be executed with sudo"
+ exit 1
+fi
+
+#
# sighandler
#
on_die()
--
1.7.9.5
More information about the fwts-devel
mailing list